FactoryBot.define do
  factory :maintenance_service_order, class: 'Mks::Maintenance::MaintenanceServiceOrder' do
    title { FFaker::Name.name }
    description { FFaker::Name.name }
    association :equipment_item
    association :maintenance_type
    start_date { Date.new }
    end_date { Date.new + 10 }
    association :prepared_by, factory: :user
    approved { false }
    association :approved_by, factory: :user
    remark { FFaker::Name.name }
    current_reading { 1000 }
  end
end
