require 'rails_helper'

module Mks
  module Maintenance
    RSpec.describe MaintenanceServiceOrder, type: :model do
      it 'has a valid factory' do
        expect(create(:maintenance_service_order)).to be_valid
      end

      it 'is invalid with no title' do
        expect(build(:maintenance_service_order, title: nil)).not_to be_valid
      end
    end
  end
end