FactoryBot.define do
  factory :job_card, class: 'Mks::Maintenance::JobCard' do
    association :maintenance_service_order
    code { FFaker::Name.name }
    start_date { Date.new }
    due_date { Date.new + 10 }
    association :service_provider, factory: :equipment_location
    checkout_date { Date.new }
    association :checkout_by, factory: :user
    association :checkout_to, factory: :equipment_location
    association :maintenance_status
    checkin_date { Date.new }
    association :checkin_by, factory: :user
    association :checkin_to, factory: :equipment_location
    association :prepared_by, factory: :user
    approved { false }
    checkin_confirmed { false }
    checkout_confirmed { false }
  end
end
