require 'rails_helper'

module Mks
  module Maintenance
    RSpec.describe JobCard, type: :model do
      it 'has a valid factory' do
        expect(create(:equipment_location)).to be_valid
      end

      it 'is invalid with no code' do
        expect(build(:job_card, code: nil)).not_to be_valid
      end
    end
  end
end